Bug 10750 - xtraceroute core dumps (segmentation fault) at start
xtraceroute core dumps (segmentation fault) at start
Status: CLOSED WONTFIX
Product: Red Hat Powertools
Classification: Retired
Component: 9wm (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-04-12 10:37 EDT by Andrea Sterbini
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-04-14 10:42:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ltrace and strace of xtraceroute crashing (traces.tgz) (6.44 KB, application/octet-stream)
2000-04-14 10:42 EDT, Andrea Sterbini
no flags Details

  None (edit)
Description Andrea Sterbini 2000-04-12 10:37:58 EDT
On my AMD k7/500 I have tried to install xtraceroute, but rpm complains:
> Unsatisfied dependencies for xtraceroute-0.8.14-1: libMesaGL.so.3,
libMesaGLU.so.3

I have installed it with "rpm --nodeps" and I have linked
> ln -s libGL.so.1 libMesaGD.so.3
> ln -s libGLU.so.1 libMesaGDU.so.3

Now xtraceroute does a core dump at start, I enclose here the output of
"gdb xtraceroute -c core"

[andrea@sterbini andrea]$ xtraceroute
Segmentation fault (core dumped)
[andrea@sterbini andrea]$ gdb xtraceroute -c core
GNU gdb 19991004
Copyright 1998 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you
are
welcome to change it and/or distribute copies of it under certain
conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux"...
(no debugging symbols found)...
Core was generated by `xtraceroute'.
Program terminated with signal 11, Segmentation fault.
Reading symbols from /usr/lib/libgtkgl.so.4...(no debugging symbols
found)...
done.
Reading symbols from /usr/lib/libgtk-1.2.so.0...(no debugging symbols
found)...
done.
Reading symbols from /usr/lib/libgdk-1.2.so.0...(no debugging symbols
found)...
done.
Reading symbols from /usr/lib/libgmodule-1.2.so.0...
(no debugging symbols found)...done.
Reading symbols from /usr/lib/libglib-1.2.so.0...
(no debugging symbols found)...done.
Reading symbols from /lib/libdl.so.2...done.
Reading symbols from /usr/X11R6/lib/libXext.so.6...done.
Reading symbols from /usr/X11R6/lib/libX11.so.6...done.
Reading symbols from /lib/libm.so.6...done.
Reading symbols from /usr/X11R6/lib/libMesaGLU.so.3...done.
Reading symbols from /usr/X11R6/lib/libMesaGL.so.3...done.
Reading symbols from /usr/lib/libtiff.so.3...done.
Reading symbols from /lib/libc.so.6...done.
Reading symbols from /usr/X11R6/lib/libXi.so.6...done.
Reading symbols from /lib/ld-linux.so.2...done.
Reading symbols from /usr/X11R6/lib/libSM.so.6...done.
Reading symbols from /usr/X11R6/lib/libICE.so.6...done.
Reading symbols from /usr/X11R6/lib/libXmu.so.6...done.
Reading symbols from /usr/lib/libjpeg.so.62...done.
Reading symbols from /usr/lib/libz.so.1...done.
Reading symbols from /usr/X11R6/lib/libXt.so.6...done.
Reading symbols from /usr/lib/gconv/ISO8859-1.so...done.
Reading symbols from /lib/libnss_files.so.2...done.
#0  0x0 in ?? ()
(gdb) where
#0  0x0 in ?? ()
(gdb) quit

Ciao
Comment 1 Andrea Sterbini 2000-04-12 15:55:59 EDT
Probably it's wrong to assign this bug to the component "9wm".
I would have chosen "xtraceroute", but I didnt find it in the component list.
Comment 2 Andrea Sterbini 2000-04-14 10:42:59 EDT
Created attachment 202 [details]
ltrace and strace of xtraceroute crashing (traces.tgz)
Comment 3 Ngo Than 2000-08-23 06:53:49 EDT
you have to install lib Mesa from powertools for using xtraceroute
The libMesaGD.so.3 which you have is not from Redhat powertools.

xtraceroute works on my machine with 6.2 without segmentation fault.

Comment 4 Andrea Sterbini 2000-08-24 13:32:01 EDT
Are you referring to powertools 6.2 glxMesa-3.2-0.3.i386.rpm ?
The libMesaGD.so.3 unresolved dependencies are complained by
xtraceroute-0.8.14-1.i386.rpm taken from powertools 6.2 ...
The Mesa library I have installed is taken from Redhat 6.2, and has no
libMesaGD.so.3 inside ...
Please, recompile xtraceroute against the right Mesa library.

Ciao
Andrea

Note You need to log in before you can comment on or make changes to this bug.